Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_IMR_Op Class Reference

IMR Operation Base Class. More...

`#include <tao_imr_i.h>`

Inheritance diagram for TAO_IMR_Op:

[legend]
List of all members.

## Public Types
enum | RETURN_CODES { NORMAL = 0, UNKNOWN, NO_PERMISSION, ALREADY_REGISTERED, CANNOT_ACTIVATE, NOT_FOUND }
## Public Methods
virtual | ~TAO_IMR_Op (void)
| Destructor.
virtual int | parse (int argc, ACE_TCHAR **argv)=0
| Parse arguments.
virtual int | run (void)=0
| Do the work.
void | set_imr_locator (ImplementationRepository::Locator_ptr imr)
| Sets the implrepo locator pointer.
## Static Public Methods
TAO_IMR_Op * | make_op (const ACE_TCHAR *op_name)
| Factory.
## Protected Methods
void | display_server_information (const ImplementationRepository::ServerInformation &info)
| Prints out the information contained in a ServerInformation structure.
## Protected Attributes
ImplementationRepository::Locator_ptr | imr_locator_
| Reference to our implementation repository.

## Detailed Description

IMR Operation Base Class.

Provides a base class with virtual methods for each operation strategy.

## Member Enumeration Documentation

enum TAO_IMR_Op::RETURN_CODES

  | Enumeration values:
  NORMAL |
  UNKNOWN |
  NO_PERMISSION |
  ALREADY_REGISTERED |
  CANNOT_ACTIVATE |
  NOT_FOUND |

## Constructor & Destructor Documentation

TAO_IMR_Op::~TAO_IMR_Op | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void TAO_IMR_Op::display_server_information | ( | const ImplementationRepository::ServerInformation & | info | ) | `[protected]`

| Prints out the information contained in a ServerInformation structure. Reimplemented in TAO_IMR_Op_List.

TAO_IMR_Op * TAO_IMR_Op::make_op | ( | const ACE_TCHAR * | op_name | ) | `[static]`

| Factory.

virtual int TAO_IMR_Op::parse | ( | int | argc,
|  | ACE_TCHAR ** | argv
| ) | `[pure virtual]`

| Parse arguments. Implemented in TAO_IMR_Op_Activate, TAO_IMR_Op_Add, TAO_IMR_Op_Autostart, TAO_IMR_Op_IOR, TAO_IMR_Op_List, TAO_IMR_Op_Remove, TAO_IMR_Op_Shutdown, and TAO_IMR_Op_Update.

virtual int TAO_IMR_Op::run | ( | void |  | ) | `[pure virtual]`

| Do the work. Implemented in TAO_IMR_Op_Activate, TAO_IMR_Op_Add, TAO_IMR_Op_Autostart, TAO_IMR_Op_IOR, TAO_IMR_Op_List, TAO_IMR_Op_Remove, TAO_IMR_Op_Shutdown, and TAO_IMR_Op_Update.

void TAO_IMR_Op::set_imr_locator | ( | ImplementationRepository::Locator_ptr | imr | ) |

| Sets the implrepo locator pointer.

## Member Data Documentation

ImplementationRepository::Locator_ptr TAO_IMR_Op::imr_locator_`[protected]`

| Reference to our implementation repository.

The documentation for this class was generated from the following files:

- tao_imr_i.h
- tao_imr_i.cpp